## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -sv -novopt -incr -work work "../tb/prim_sim.v"
vlog -sv -novopt +incdir+../tb -work work "../tb/tb.v"
vlog -sv -novopt +incdir+../src/define/ -incr -work work "../proj/src/integer_multiplier/integer_multiplier.vo"
vlog -sv -novopt +incdir+../src/define/ -incr -work work "../proj/src/tb_gw2a.v"
## part 3: sim design
vsim  -novopt work.tb

## part 4: add signals
add wave -group "tb" {sim:/tb/*}
add wave -group "top" {sim:/tb/tb_gw2a_tb/*}

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 2000000ps

